<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <form
    [formGroup]="filterForm"
    (ionChange)="setFilter()"
    enctype="multipart/form-data"
  >
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ng-container *ngFor="let field of settings.fields; let i = index">
        <ion-item *ngIf="field.show">
          <ion-icon
            *ngIf="field.formControlName === 'theme'"
            slot="start"
            name="moon-outline"
          ></ion-icon>
          <ion-label
            [position]="field.position"
            [textContent]="field.label"
          ></ion-label>

          <ion-toggle
            *ngIf="field.type === 'toggle'"
            [formControlName]="field.formControlName"
          ></ion-toggle>

          <ion-input
            *ngIf="field.type === 'number'"
            [min]="field.min"
            [max]="field.max"
            [type]="field.type"
            [formControlName]="field.formControlName"
          ></ion-input>

          <ion-select
            [formControlName]="field.formControlName"
            *ngIf="field.type === 'select'"
            interface="popover"
          >
            <ion-select-option
              *ngFor="let item of field.dropdown"
              [value]="item"
              [textContent]="item"
            ></ion-select-option>
          </ion-select>
        </ion-item>
      </ng-container>
    </ion-list>
  </form>
</ion-content>
